function [compressed_real, compressed_imag, dict_real,avglen_real, ...
    symbols_real, dict_imag, avglen_imag, symbols_imag] = ...
compress_freqs(windowed_freqs,word_bits,frac_bits)
% First quantize freqs after masked freqs have been droppped
r = real(windowed_freqs);
i = imag(windowed_freqs);
rq = quantizenumeric(r, 1, word_bits, frac_bits, 'nearest');
iq = quantizenumeric(i, 1, word_bits, frac_bits, 'nearest');

% Now compress
[compressed_real, dict_real, avglen_real] = compress_huff(rq);
[compressed_imag, dict_imag, avglen_imag] = compress_huff(iq);
symbols_real = dict_real(:, 2);
symbols_imag = dict_imag(:, 2);
end

function [samples_compressed, dict, avglen] = compress_huff(my_samples)
% Helper function for compress_freqs
a = tabulate(my_samples);
prob = a(:,3);
prob = prob/100;
symbols = a(:,1);
[dict, avglen] = huffmandict(symbols, prob);
samples_compressed = huffmanenco(my_samples, dict);

end
